<?php
     ini_set("display_errors", "off"); 
	//Código para incluir las librerias
	 include_once("../src/conexion.php");
	 require_once ("../utils/jpgraph/src/jpgraph.php");
	 require_once ("../utils/jpgraph/src/jpgraph_pie.php");	 
	 
	 
	 //Conexión con el servidor
	  $link=ConectarseServidor();

	 //Conexión con la base de datos
	  ConectarseBaseDatos($link);
 
	  
	  //realiza consulta a la base de datos
	  $sql = "SELECT a.titulo as titulo, a.fecha as fecha, b.id as id, b.nombre as nombre, b.valor as valor FROM encuestas a INNER JOIN opciones b ON a.id = b.id_encuesta WHERE a.id = 1"; 
      $result=mysql_query($sql,$link);
			
	  //define un arreglo
	  $datos = array(); 
	  
	  
      //obtiene los datos (peso)
      while ($row = mysql_fetch_array($result)){
         $datos[] = $row['valor']; //almacenas en un array todos los resultados 
         $titulo  = $row['titulo'];

      }//fin del while  
		
	 
 
    //****************************************************
	//GENERAR GRAFICO DE TORTA
	//****************************************************

		// Se define el array de valores y el array de la leyenda		
		  $leyenda = array("Si","No");
		 //$leyenda = $datos;
		 
		//Se define el grafico
		$grafico = new PieGraph(450,400);
		 
		//Definimos el titulo
		$grafico->title->Set($titulo);
		$grafico->title->SetFont(FF_FONT1,FS_BOLD);
		 
		//Añadimos el titulo y la leyenda
		//$datos es el arreglo que obtiene la informacion de la base de datos
		$imc = new PiePlot($datos);
		$imc->SetLegends($leyenda);
		$imc->SetCenter(0.4);
		 
		//Se muestra el grafico
		$grafico->Add($imc);
		$grafico->Stroke();
	
		
	//****************************************************

	 //libera memoria
	 mysql_free_result ($result);

		
	 	
?>